function [Model, Res, Fold, Statics, X, Y, Z] = CombineMods(MODSfile)
%function [Model, Res, Fold, Statics, X, Y, Z] = CombineMods(MODSfile)

load(MODSfile)

nd = GP.numy*GP.numx*GP.numz

if StaticsDefined == 1
	if nev > 0
		Statics.EvMn = mean(Mods(:,(nd+1):(nd+nev)));
		Statics.EvStd = std(Mods(:,(nd+1):(nd+nev)));
		Statics.EvMax = max(Mods(:,(nd+1):(nd+nev)));
		Statics.EvMin = min(Mods(:,(nd+1):(nd+nev)));
	end
	if nsta > 0
		Statics.StMn = mean(Mods(:,(nd+nev+1):(nd+nev+nsta)));
		Statics.StStd = std(Mods(:,(nd+nev+1):(nd+nev+nsta)));
		Statics.StMax = max(Mods(:,(nd+nev+1):(nd+nev+nsta)));
		Statics.StMin = min(Mods(:,(nd+nev+1):(nd+nev+nsta)));
	end
else
	Statics = 0;
end

if nev == 0 & nsta == 0
	Statics = 0;
end

%Model = 0;
%Res = 0;
%Fold = 0;
%X = 0;
%Y = 0;
%Z = 0;
%return

%figure(6)
%clf
%hold on
%plot(Statics.StMn);
%plot(Statics.StMn+Statics.StStd,'--');
%plot(Statics.StMn-Statics.StStd,'--');

Model = zeros(ny*GP.numy, nx*GP.numx, nz*GP.numz);
Fold = zeros(ny*GP.numy, nx*GP.numx, nz*GP.numz);
Res = zeros(ny*GP.numy, nx*GP.numx, nz*GP.numz);

xof = xoff(2) - xoff(1);
yof = yoff(2) - yoff(1);
zof = zoff(2) - zoff(1);

X = (GP.xo:xof:(GP.xo + xof*(nx*GP.numx-1))) + GP.dx/2;
Y = (GP.yo:yof:(GP.yo + yof*(ny*GP.numy-1))) + GP.dy/2;
Z = (GP.zo:zof:(GP.zo + zof*(nz*GP.numz-1))) + GP.dz/2;
Z = -Z;

n = 0;
for offz = (1:nz)-1
	offz
	for offy = (1:ny)-1
		for offx = (1:nx)-1
			n = n + 1;
			for k = 1:nz:nz*GP.numz
				kk = (k + nz - 1)/nz;
				for j = 1:ny:ny*GP.numy
					jj = (j + ny - 1)/ny;
					for i = 1:nx:nx*GP.numx
						ii = (i + nx - 1)/nx;
						Model(j+offy,i+offx,k+offz) = Mods( n,ii+(jj-1)*GP.numx+(kk-1)*GP.numx*GP.numy);
						Fold( j+offy,i+offx,k+offz) = Folds(n,ii+(jj-1)*GP.numx+(kk-1)*GP.numx*GP.numy);
						Res(  j+offy,i+offx,k+offz) = Ress( n,ii+(jj-1)*GP.numx+(kk-1)*GP.numx*GP.numy);
						%Model(i+offx,j+offy,k+offz) = Mods( n,ii+(jj-1)*GP.numx+(kk-1)*GP.numx*GP.numy);
						%Fold( i+offx,j+offy,k+offz) = Folds(n,ii+(jj-1)*GP.numx+(kk-1)*GP.numx*GP.numy);
					end
				end
			end
		end
	end
end
