function smMod = SmoothMod(Mod,smx,smy,smz,tp,f)
%function smMod = SmoothMod(Mod,smx,smy,smz,tp,f)
%
%	Smooths the input 3D model.
%
%		Mod - input, rough, model
%
%		Define filter
%		smx - number of bins in the X direction
%		smy - number of bins in the X direction
%		smz - number of bins in the X direction
%		tp - type of filter
%			1 - unit rectangle
%			2 - 3D unit cosine
%
%		f - specify if a filter has been created outside of the program
%

switch tp
	case 1
		f = ones(smx,smy,smz);
	case 2
		f = Get3DCos(smx,smy,smz);
	case 3
		%f is given as an argument
	otherwise
		disp('tp is not a valid argument');
		return
end

f = f/sum(sum(sum(f)));
smMod = convn(Mod,f,'same');
