function [M, R, fold] = SolveInvSVD(U, S, V, G, Data, W, LastInd);
%function [M, R, fold] = SolveInvSVD(U, S, V, G, Data, W, LastInd);

%tic;
clear Up;
clear Sp;
clear Vp;
clear iSp;
clear fold R;
clear M;

%disp('Finding Fold: total amount of time spent in each bin');
fold = full(sum(G)');

%disp('Calculating Inversion');

%disp('Generating Vp, Sp, Up');
Vp = V(:,1:LastInd);
Sp = S(1:LastInd,1:LastInd);
Up = U(:,1:LastInd);

%Invert Sp
iSp = diag(1./diag(Sp));

%disp('Solving for Model');

d = diag(W)*Data;

%atten = Vp*iSp*Up.'*Data;
%from Benz masters thesis, appendix C
%e = .1;
%eI = e*e*eye(length(Vp(:,1)));
%GTWG = G'*diag(W)*G;

VpSp = Vp*iSp;
%VpSp = Vp*(Sp/(Sp*Sp + e*e*I));

M = VpSp*Up'*d;

%disp('Calculating Resolution')
%tic;

%R = Vp*iSp*Vp';
%GtG=G'*G;
%R=(GtG+.00001*eye(length(G(1,:))))\(GtG);
R = diag(Vp*Vp');

%toc
